Selected Filters


Loading...

Availability


DODGE Disc Brake Kits

Individual Parts

Results 876 - 900 of 941

LEED Brakes Front Disc Brake Conversion Kits BFC2003-P405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,595.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Black Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-BFC2003P405X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,595.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC2003-C05PX

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,463.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Black Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-BFC2003C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,463.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC2004-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,898.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Black Calipers, Dodge, Plymouth, Kit

Part Number: LEB-BFC2004C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,898.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2005-C05X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,823.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2005-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,823.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2005-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,802.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2005C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,802.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2006-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,806.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-RFC2006C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,806.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2003-C05X

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,464.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2003-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,464.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2003-C05PX

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,463.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-RFC2003C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,463.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,898.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2004C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,898.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,729.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-S0111

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,729.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

Brake Conversion Ford 8.8" Rear End, Rear Disc Kit

Part Number: RSD-ZDCRDM4S

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Rear Disc Brake Conversion, Ford 8.8", Requires 5 Lug Axles. Drilled and Slotted Rotors, Black Calipers

Part Number: RSD-ZDCRD03S

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Disc Brake Kit, Street Series Conversion, Rear, Cross-Drilled/Slotted Rotors, Black Calipers, Ford, 8.8 in., Kit

Part Number: RSD-ZDCRD04S

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Brake Conversion Ford 8.8" Rear End W/5-Lug Axles, Street Series Rear Disc Kit

Part Number: RSD-ZDCRDM3Z

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Disc Brake Kit, Street Series Conversion, Rear, Cross-Drilled/Slotted Rotors, Red Calipers, Ford, 8.8 in., Kit

Part Number: RSD-ZDCRD04Z

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Disc Brake Kit, Street Series Conversion, Rear, Solid Surface Rotors, 1-piston Calipers, Ford, Mercury, Ford 8.8 in., Kit

Part Number: RSD-ZDCRD04

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Rear Disc Conversion, Ford 8.8" Performance Series, 5-Lug Axle Included No E-Brake, Black Wilwood Calipers, Drilled and Slotted Rotors

Part Number: RSD-ZDCRDM24S

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Brake Conversion Ford 8.8" Rear End, Rear Disc Kit

Part Number: RSD-ZDCRDM4Z

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Rear Disc Conversion, Ford 8.8" Performance Series, 5-Lug Axle Included No E-Brake, Red Wilwood Calipers, Drilled and Slotted Rotors

Part Number: RSD-ZDCRDM24Z

Not Yet Reviewed

Estimated Ship Date: Nov 19, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 19, 2026 if ordered today

Disc Brake Kit, Forged Dynalite Big Brake, Front, 12.19 in. Solid Surface Rotors, 4-Piston Aluminum Red Powdercoat, Chrysler, Dodge, Kit

Part Number: WIL-140-6376-R

Not Yet Reviewed

Estimated Ship Date: Nov 11, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 11, 2026 if ordered today

Brake Kit, 4-Piston Calipers, Front, Chrysler, Dodge, Kit

Part Number: WIL-140-6376-DR

Not Yet Reviewed

Estimated Ship Date: Nov 11, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 11, 2026 if ordered today

Disc Brake Kit, OE Replacement, Natural Calipers, Front, Dodge, Kit

Part Number: PWR-KCOE5246

Not Yet Reviewed

Estimated Ship Date: Tomorrow if ordered today

...Loading

Estimated Ship Date: Tomorrow if ordered today

Disc Brake Kits, Pads, Drilled/Slotted Rotors, Red Calipers, Rear, Dodge, Kit

Part Number: PWR-KC6544A

Not Yet Reviewed

Estimated Ship Date: Tomorrow if ordered today

...Loading

Estimated Ship Date: Tomorrow if ordered today

Disc Brake Kit, Stock Replacement, Front and Rear, Solid Surface, Dodge, Kit

Part Number: PWR-KCOE6563A

Not Yet Reviewed

Estimated Ship Date: Nov 30, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 30, 2026 if ordered today

Disc Brake Kits, Autospecialty Stock Replacement Brake Kits with Calipers, Front, Solid Surface Rotors, 1-piston Calipers, Chrysler, Dodge, Kit

Part Number: PWR-KCOE1714A

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today